Subject: bug#24441: 24.5; rename directory in dired to change case

From: Eli Zaretskii <[email-masked]>
Date: Thu, 15 Sep 2016 17:49:06 +0300

> Date: Thu, 15 Sep 2016 06:43:21 -0700 (PDT)
> From: Drew Adams <[email-masked]>
> Cc: [email-masked]
> 
> FWIW, MS Windows is case-insensitive, but it nevertheless shows
> files and directories using both uppercase and lowercase letters.
> And it lets you rename "aa" to "AA", "Aa", etc.  The fact that
> the file already exists does not prevent you from renaming it
> to use different letter case.

That's because we have special code for that, which is only compiled
in the Windows build.